{
  "type" : "record",
  "name" : "Therapy",
  "namespace" : "org.gel.models.report.avro",
  "fields" : [ {
    "name" : "referenceUrl",
    "type" : "string",
    "doc" : "URL where reference information for this therapy association can be found"
  }, {
    "name" : "source",
    "type" : [ "null", "string" ],
    "doc" : "Source"
  }, {
    "name" : "references",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ],
    "doc" : "References"
  }, {
    "name" : "conditions",
    "type" : [ "null", {
      "type" : "array",
      "items" : "string"
    } ],
    "doc" : "Conditions"
  }, {
    "name" : "drugResponse",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "DrugResponse",
        "fields" : [ {
          "name" : "TreatmentAgent",
          "type" : "string",
          "doc" : "Treatment agent"
        }, {
          "name" : "drugResponseClassification",
          "type" : {
            "type" : "enum",
            "name" : "DrugResponseClassification",
            "symbols" : [ "altered_sensitivity", "reduced_sensitivity", "increased_sensitivity", "altered_resistance", "increased_resistance", "reduced_resistance", "increased_risk_of_toxicity", "reduced_risk_of_toxicity", "altered_toxicity", "adverse_drug_reaction", "indication", "contraindication", "dosing_alteration", "increased_dose", "reduced_dose", "increased_monitoring", "increased_efficacy", "reduced_efficacy", "altered_efficacy" ]
          },
          "doc" : "associated effect of the drug"
        } ]
      }
    } ],
    "doc" : "Drug responses"
  }, {
    "name" : "otherInterventions",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "Intervention",
        "doc" : "A process or action that is the focus of a clinical study.\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.html",
        "fields" : [ {
          "name" : "interventionType",
          "type" : {
            "type" : "enum",
            "name" : "InterventionType",
            "doc" : "For each intervention studied in the clinical study, the general type of intervention\n\n* `drug`: Including placebo\n* `device`: Including sham\n* `biological`: Vaccine\n* `procedure`: Surgery\n* `radiation`\n* `behavioral`: For example, psychotherapy, lifestyle counselling\n* `genetic`: Including gene transfer, stem cell and recombinant DNA\n* `dietary_supplement`: For example, vitamins, minerals\n* `combination_product`: Combining a drug and device, a biological product and device; a drug and biological product; or a drug, biological product, and device\n* `diagnostic_test`: For example, imaging, in-vitro\n* `other`\n\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.htm",
            "symbols" : [ "drug", "device", "procedure", "biological", "radiation", "behavioral", "genetic", "dietary_supplement", "combination_product", "diagnostic_test", "other" ]
          },
          "doc" : "Intervention type, i.e drug"
        }, {
          "name" : "interventionName",
          "type" : "string",
          "doc" : "Intervention name: Placebo"
        } ]
      }
    } ],
    "doc" : "Any other clinical intervention"
  }, {
    "name" : "variantActionable",
    "type" : "boolean",
    "doc" : "If true, the association was made at the variant level, if not the association was made at Genomic Entity level"
  } ]
}
